System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

This enumeration is used by the delegate to notify your ASP.NET applications when and why an object was removed from the .

Specifies the reason an item was removed from the .

- Field
  System.Web.Caching.CacheItemRemovedReason To be added

  The item is removed from the cache because the cache dependency associated with it changed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemRemovedReason To be added

  The item is removed from the cache because it expired.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemRemovedReason To be added

  The item is removed from the cache by a method call or by an method call that specified the same key.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemRemovedReason To be added

  The item is removed from the cache because the system removed it to free memory.

  1.0.5000.0
  2.0.0.0